org.apache.hc.core5.http.impl.io

## Class DefaultHttpRequestParserFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.DefaultHttpRequestParserFactory

- All Implemented Interfaces:
    HttpMessageParserFactory<ClassicHttpRequest>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpRequestParserFactory
      extends Object
      implements HttpMessageParserFactory<ClassicHttpRequest>

  Default factory for request message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpRequestParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpRequestParserFactory()`
    `DefaultHttpRequestParserFactory(Http1Config http1Config)`
    `DefaultHttpRequestParserFactory(Http1Config http1Config, LineParser lineParser, HttpRequestFactory<ClassicHttpRequest> requestFactory)`
    `DefaultHttpRequestParserFactory(LineParser lineParser, HttpRequestFactory<ClassicHttpRequest> requestFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMessageParser<ClassicHttpRequest>` | `create()`
    `HttpMessageParser<ClassicHttpRequest>` | `create(Http1Config http1Config)` Deprecated. Use `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpRequestParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(Http1Config http1Config,
                                                 LineParser lineParser,
                                                 HttpRequestFactory<ClassicHttpRequest> requestFactory)

      Since:
        5.3

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(LineParser lineParser,
                                                 HttpRequestFactory<ClassicHttpRequest> requestFactory)

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory(Http1Config http1Config)

      Since:
        5.3

    - #### DefaultHttpRequestParserFactory

          public DefaultHttpRequestParserFactory()

  - ### Method Detail

    - #### create

          @Deprecated
          public HttpMessageParser<ClassicHttpRequest> create(Http1Config http1Config)

      Deprecated. Use `create()`
      Specified by:
        `create` in interface `HttpMessageParserFactory<ClassicHttpRequest>`

    - #### create

          public HttpMessageParser<ClassicHttpRequest> create()

      Specified by:
        `create` in interface `HttpMessageParserFactory<ClassicHttpRequest>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.